import type { FC, HTMLAttributes } from 'react';
import type { DeepPartial } from '../../';
import type { FlowbiteTheme } from './FlowbiteTheme';
import { useTheme, useThemeMode } from './ThemeContext';
export interface ThemeProps {
    dark?: boolean;
    theme?: DeepPartial<FlowbiteTheme>;
}
interface FlowbiteProps extends HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode;
    theme?: ThemeProps;
}
export declare const Flowbite: FC<FlowbiteProps>;
export type { CustomFlowbiteTheme, FlowbiteBoolean, FlowbiteColors, FlowbiteContentPositions, FlowbiteGradientColors, FlowbiteGradientDuoToneColors, FlowbiteHeadingLevel, FlowbitePositions, FlowbiteSizes, FlowbiteStateColors, FlowbiteTheme, } from './FlowbiteTheme';
export { useTheme, useThemeMode };
