import { jsx as _jsx } from "react/jsx-runtime";
import { twMerge } from 'tailwind-merge';
import { Button } from '../Button';
export const MegaMenuToggle = ({ children, className, ...props }) => {
    const onClick = (event) => {
        const collapseButton = event.target;
        const parentMegaMenu = collapseButton.closest('nav');
        const adjacentCollapse = parentMegaMenu?.querySelector('[data-testid="flowbite-mega-menu-collapse"]');
        adjacentCollapse?.classList.toggle('hidden');
    };
    return (_jsx(Button, { color: "gray", onClick: onClick, className: twMerge('!border-0 !bg-transparent !p-0 !text-gray-700 !ring-0 [&>span]:items-center [&_*]:!p-0', className), ...props, children: children }));
};
MegaMenuToggle.displayName = 'MegaMenu.Toggle';
