import type { ComponentProps, FC, PropsWithChildren } from 'react';
import type { DeepPartial } from '../../';
import type { Duration } from './ToastContext';
export interface FlowbiteToastTheme {
    root: {
        base: string;
        closed: string;
    };
    toggle: {
        base: string;
        icon: string;
    };
}
export interface ToastProps extends PropsWithChildren<ComponentProps<'div'>> {
    duration?: Duration;
    theme?: DeepPartial<FlowbiteToastTheme>;
}
export declare const Toast: FC<ToastProps> & {
    Toggle: FC<import("./ToastToggle").ToastToggleProps>;
};
